## ignition-cmake 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-cmake0 VERSION 0.4.0)

#--------------------------------------
# Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake
# directory that sits next to this find-module.
set(IGNITION_CMAKE_DIR "${CMAKE_CURRENT_LIST_DIR}/cmake")

#--------------------------------------
# Add the location of this package's cmake directory to the CMAKE_MODULE_PATH
list(APPEND CMAKE_MODULE_PATH "${IGNITION_CMAKE_DIR}")

#--------------------------------------
# include the master IgnCMake module
include(IgnCMake)

#--------------------------------------
# Set up the project
ign_configure_project()

#============================================================================
# Configure the package to be installed
#============================================================================

#--------------------------------------
# Create configuration and installation variables
set(ign_config_input  "${CMAKE_CURRENT_SOURCE_DIR}/config/ignition-cmake-config.cmake.in")
set(ign_config_output "${PROJECT_NAME_LOWER}-config.cmake")
set(ign_version_output "${PROJECT_NAME_LOWER}-config-version.cmake")
set(ign_config_install_dir "${IGN_LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}")

#--------------------------------------
# Configure and install the config file
configure_package_config_file(
  ${ign_config_input}
  ${ign_config_output}
  INSTALL_DESTINATION ${ign_config_install_dir}
  NO_CHECK_REQUIRED_COMPONENTS_MACRO)

#--------------------------------------
# Configure and install the version file
write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/${ign_version_output}
  VERSION "${PROJECT_VERSION_FULL_NO_SUFFIX}"
  COMPATIBILITY SameMajorVersion)

install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/${ign_config_output}
    ${CMAKE_CURRENT_BINARY_DIR}/${ign_version_output}
  DESTINATION ${ign_config_install_dir}
  COMPONENT cmake)


#============================================================================
# Install the files for this package
#============================================================================
set(ign_modules_install_dir "${ign_config_install_dir}/cmake${PROJECT_VERSION_MAJOR}")

file(GLOB modules "cmake/*.cmake")
file(GLOB templates "cmake/*.in")

install(
  FILES ${modules} ${templates}
  DESTINATION ${ign_modules_install_dir}
  COMPONENT modules)

file(GLOB pkgconfig_templates "cmake/pkgconfig/*.in")

install(
  FILES ${pkgconfig_templates}
  DESTINATION ${ign_modules_install_dir}/pkgconfig
  COMPONENT modules)

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")

include(CTest)
if (BUILD_TESTING)
  add_subdirectory(test)

  #============================================================================
  # Build examples
  #============================================================================
  # find_package expects cmakeN (e.g. cmake0, cmake1, ... depending on the major version of ign-cmake)
  # to be in the build folder because that is where the ignition-cmake-config.cmake file is located
  # before it is installed
  if (UNIX)
    # make a symlink on unix
    execute_process(
      COMMAND
        ${CMAKE_COMMAND} -E create_symlink ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_BINARY_DIR}/cmake${PROJECT_VERSION_MAJOR})
  else()
    # otherwise copy the files one by one
    # use configure_file(... COPYONLY) since it will run again if files change
    foreach (filename ${modules} ${templates})
      get_filename_component(file ${filename} NAME)
      configure_file(${filename} ${CMAKE_BINARY_DIR}/cmake${PROJECT_VERSION_MAJOR}/${file} COPYONLY)
    endforeach()
    foreach (filename ${pkgconfig_templates})
      get_filename_component(file ${filename} NAME)
      configure_file(${filename} ${CMAKE_BINARY_DIR}/cmake${PROJECT_VERSION_MAJOR}/pkgconfig/${file} COPYONLY)
    endforeach()
  endif()
  add_subdirectory(examples)
endif()

add_subdirectory(doc)

=== examples/CMakeLists.txt ===
include(ExternalProject)

# test multiple build types
set(build_types Release RelWithDebInfo Debug)
find_program(EXAMPLE_LCOV_PATH lcov)
if (NOT WIN32 AND EXAMPLE_LCOV_PATH)
  list(APPEND build_types Coverage)
endif()

set(example_directories ign_configure_build prerelease)

foreach(example ${example_directories})
  if (${example} STREQUAL "ign_configure_build")
    set(example_tarball_name ignition-minimal-0.1.0.tar.bz2)
  elseif (${example} STREQUAL "prerelease")
    set(example_tarball_name ignition-minimal-0.1.0~pre1.tar.bz2)
  endif()

  foreach (build_type ${build_types})
    set(EXAMPLE_NAME ${example}_${build_type})
    string(TIMESTAMP EXAMPLE_TIME)
    configure_file(
      "${CMAKE_CURRENT_SOURCE_DIR}/junit_pass.xml.in"
      "${CMAKE_CURRENT_BINARY_DIR}/${EXAMPLE_NAME}_pass.xml"
      @ONLY)
    configure_file(
      "${CMAKE_CURRENT_SOURCE_DIR}/junit_fail.xml.in"
      "${CMAKE_CURRENT_BINARY_DIR}/test_results/${EXAMPLE_NAME}.xml"
      @ONLY)
    ExternalProject_Add(
      ${EXAMPLE_NAME}

      SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/${example}"
      # BUILD_ALWAYS needed since cmake doesn't notice when
      # example files change.
      # See alternate approach in a2113e0997c9 if this becomes too slow
      BUILD_ALWAYS 1
      CMAKE_ARGS
        "-DCMAKE_PREFIX_PATH=${CMAKE_BINARY_DIR}"
        "-DCMAKE_BUILD_TYPE=${build_type}"
      TEST_COMMAND
        ${CMAKE_COMMAND} -E copy
        "${CMAKE_CURRENT_BINARY_DIR}/${EXAMPLE_NAME}_pass.xml"
        "${CMAKE_CURRENT_BINARY_DIR}/test_results/${EXAMPLE_NAME}.xml"

      # We explicitly disable the install command to ensure that the examples
      # do not get installed, and also because some strange behavior on Windows
      # causes the tests to require administrative privileges to build when this
      # option is left unset.
      INSTALL_COMMAND ""
    )
    if (CPACK_GENERATOR)
      ExternalProject_Add_Step(
        ${EXAMPLE_NAME}
        package_source
        COMMAND
          ${CMAKE_COMMAND} --build <BINARY_DIR> --target package_source
        DEPENDEES
          configure
      )
      ExternalProject_Add_Step(
        ${EXAMPLE_NAME}
        test_tarball_name
        COMMAND
          ${CMAKE_COMMAND} -E tar tf <BINARY_DIR>/${example_tarball_name}
        DEPENDEES
          package_source
        DEPENDERS
          test
      )
    endif()
    add_test(
      ${EXAMPLE_NAME}
      ${CMAKE_COMMAND} -E copy
      "${CMAKE_CURRENT_BINARY_DIR}/test_results/${EXAMPLE_NAME}.xml"
      "${CMAKE_BINARY_DIR}/test_results/${EXAMPLE_NAME}.xml"
    )
  endforeach()

endforeach()

=== examples/prerelease/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)
find_package(ignition-cmake0 REQUIRED)
project(ignition-minimal0 VERSION 0.1.0)
ign_configure_project(VERSION_SUFFIX pre1)
ign_configure_build(QUIT_IF_BUILD_ERRORS)

=== debian/changelog ===
ignition-cmake (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 16 Jan 2018 23:32:15 +0000

ignition-cmake (0.3.0+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 09 Jan 2018 15:45:19 +0000

ignition-cmake (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #882237)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 05 Dec 2017 21:05:14 +0100

=== debian/control ===
Source: ignition-cmake
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11),
               libjs-mathjax,
               libgtest-dev,
               python,
               ruby-ronn
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ignition-cmake.git
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ignition-cmake.git
Homepage: http://ignitionrobotics.org/libraries/cmake

Package: libignition-cmake-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}
Description: Ignition Robotics CMake Library - Development files
 CMake modules to be used by the Ignition projects.
 .
 This package is required to build ignition projects, as well as to link your
 third party projects against them. It provides modules that are used to find
 dependencies of ignition projects and generate cmake targets for consumers of
 ignition projects to link against.

=== debian/tests/control ===
Tests: build
Depends: libignition-cmake-dev, cmake, g++

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://gazebosim.org/distributions/ign-cmake/releases/ .*ignition-cmake-(\d\.\d\.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ignition-cmake 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-cmake0 VERSION 0.4.0)
+project(ignition-cmake0 VERSION 0.4.1)
 
 #--------------------------------------
 # Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake

=== debian/changelog ===
ignition-cmake (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 01 Mar 2018 18:40:30 +0000

## ignition-cmake 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-cmake0 VERSION 0.4.1)
+project(ignition-cmake0 VERSION 0.6.1)
 
 #--------------------------------------
 # Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake

=== doc/CMakeLists.txt ===
set (files
  api.in
  cppreference.tag.xml
  footer.html
  header.html
  layout.xml
  tutorials-footer.html
  tutorials-header.html
  tutorials.in)


install(FILES ${files}
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/ignition/${PROJECT_NAME_LOWER}/doxygen)

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -17,18 +17,18 @@
   endif()
 
   foreach (build_type ${build_types})
-    set(EXAMPLE_NAME ${example}_${build_type})
-    string(TIMESTAMP EXAMPLE_TIME)
+    set(TEST_NAME ${example}_${build_type})
+    string(TIMESTAMP TEST_TIME)
     configure_file(
       "${CMAKE_CURRENT_SOURCE_DIR}/junit_pass.xml.in"
-      "${CMAKE_CURRENT_BINARY_DIR}/${EXAMPLE_NAME}_pass.xml"
+      "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}_pass.xml"
       @ONLY)
     configure_file(
       "${CMAKE_CURRENT_SOURCE_DIR}/junit_fail.xml.in"
-      "${CMAKE_CURRENT_BINARY_DIR}/test_results/${EXAMPLE_NAME}.xml"
+      "${CMAKE_CURRENT_BINARY_DIR}/test_results/${TEST_NAME}.xml"
       @ONLY)
     ExternalProject_Add(
-      ${EXAMPLE_NAME}
+      ${TEST_NAME}
 
       SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/${example}"
       # BUILD_ALWAYS needed since cmake doesn't notice when
@@ -40,8 +40,8 @@
         "-DCMAKE_BUILD_TYPE=${build_type}"
       TEST_COMMAND
         ${CMAKE_COMMAND} -E copy
-        "${CMAKE_CURRENT_BINARY_DIR}/${EXAMPLE_NAME}_pass.xml"
-        "${CMAKE_CURRENT_BINARY_DIR}/test_results/${EXAMPLE_NAME}.xml"
+        "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}_pass.xml"
+        "${CMAKE_CURRENT_BINARY_DIR}/test_results/${TEST_NAME}.xml"
 
       # We explicitly disable the install command to ensure that the examples
       # do not get installed, and also because some strange behavior on Windows
@@ -51,7 +51,7 @@
     )
     if (CPACK_GENERATOR)
       ExternalProject_Add_Step(
-        ${EXAMPLE_NAME}
+        ${TEST_NAME}
         package_source
         COMMAND
           ${CMAKE_COMMAND} --build <BINARY_DIR> --target package_source
@@ -59,7 +59,7 @@
           configure
       )
       ExternalProject_Add_Step(
-        ${EXAMPLE_NAME}
+        ${TEST_NAME}
         test_tarball_name
         COMMAND
           ${CMAKE_COMMAND} -E tar tf <BINARY_DIR>/${example_tarball_name}
@@ -70,10 +70,10 @@
       )
     endif()
     add_test(
-      ${EXAMPLE_NAME}
+      ${TEST_NAME}
       ${CMAKE_COMMAND} -E copy
-      "${CMAKE_CURRENT_BINARY_DIR}/test_results/${EXAMPLE_NAME}.xml"
-      "${CMAKE_BINARY_DIR}/test_results/${EXAMPLE_NAME}.xml"
+      "${CMAKE_CURRENT_BINARY_DIR}/test_results/${TEST_NAME}.xml"
+      "${CMAKE_BINARY_DIR}/test_results/${TEST_NAME}.xml"
     )
   endforeach()

=== test/CMakeLists.txt ===
if (UNIX)
  add_test(cmake_minimum_required_match
    bash
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake_minimum_required.bash
    ${CMAKE_SOURCE_DIR}
    --xml_output_dir
    ${CMAKE_BINARY_DIR}/test_results
  )
endif()

=== examples/ign_configure_build/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)
find_package(ignition-cmake0 REQUIRED)
project(ignition-minimal0 VERSION 0.1.0)
ign_configure_project()
ign_configure_build(QUIT_IF_BUILD_ERRORS)
ign_create_docs()

=== debian/changelog ===
ignition-cmake (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 18 Oct 2018 15:27:37 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                libgtest-dev,
                python,
                ruby-ronn
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ignition-cmake.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ignition-cmake.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/ignition-cmake
+Vcs-Git: https://salsa.debian.org/science-team/ignition-cmake.git
 Homepage: http://ignitionrobotics.org/libraries/cmake
 
 Package: libignition-cmake-dev

=== debian/watch ===
version=3
opts= repack,repacksuffix=+dfsg,compression=xz,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://gazebosim.org/distributions/ign-cmake/releases/ .*ignition-cmake-(\d\.\d\.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ignition-cmake 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
 
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-cmake0 VERSION 0.6.1)
+project(ignition-cmake2 VERSION 2.2.0)
 
 #--------------------------------------
 # Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake
@@ -22,6 +22,24 @@
 # Set up the project
 ign_configure_project()
 
+#--------------------------------------
+# Install the ignition documentation files
+# Note: This is not actually creating a doc target for ign-cmake; this is just
+# installing files that are useful for generating the documentation of other
+# ignition projects.
+add_subdirectory(doc)
+
+#--------------------------------------
+# Install the benchmark files
+install(DIRECTORY benchmark/
+        DESTINATION ${IGN_DATA_INSTALL_DIR}/benchmark)
+
+#--------------------------------------
+# Install the codecheck files
+install(DIRECTORY codecheck/
+        DESTINATION ${IGN_DATA_INSTALL_DIR}/codecheck)
+
+
 #============================================================================
 # Configure the package to be installed
 #============================================================================
@@ -31,7 +49,13 @@
 set(ign_config_input  "${CMAKE_CURRENT_SOURCE_DIR}/config/ignition-cmake-config.cmake.in")
 set(ign_config_output "${PROJECT_NAME_LOWER}-config.cmake")
 set(ign_version_output "${PROJECT_NAME_LOWER}-config-version.cmake")
-set(ign_config_install_dir "${IGN_LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}")
+set(ign_config_install_dir "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${PROJECT_NAME_LOWER}")
+set(ign_pkgconfig_input "${CMAKE_CURRENT_SOURCE_DIR}/config/ignition-cmake.pc.in")
+set(ign_pkgconfig_output "${CMAKE_BINARY_DIR}/ignition-cmake${PROJECT_VERSION_MAJOR}.pc")
+set(ign_utilities_target ${PROJECT_EXPORT_NAME}-utilities)
+set(ign_utilities_import_target_name ${PROJECT_EXPORT_NAME}::${ign_utilities_target})
+set(ign_utilities_target_output_filename "${ign_utilities_target}-targets.cmake")
+set(simple_utilities_import_name ${PROJECT_EXPORT_NAME}::utilities)
 
 #--------------------------------------
 # Configure and install the config file
@@ -39,6 +63,7 @@
   ${ign_config_input}
   ${ign_config_output}
   INSTALL_DESTINATION ${ign_config_install_dir}
+  PATH_VARS IGN_DATA_INSTALL_DIR
   NO_CHECK_REQUIRED_COMPONENTS_MACRO)
 
 #--------------------------------------
@@ -55,6 +80,48 @@
   DESTINATION ${ign_config_install_dir}
   COMPONENT cmake)
 
+#--------------------------------------
+# Configure and install the pkgconfig file (needed for utilities headers)
+configure_file(${ign_pkgconfig_input} ${ign_pkgconfig_output} @ONLY)
+
+install(
+  FILES ${ign_pkgconfig_output}
+  DESTINATION ${IGN_LIB_INSTALL_DIR}/pkgconfig
+  COMPONENT pkgconfig)
+
+#============================================================================
+# Create and install the utilities component
+#============================================================================
+add_library(${ign_utilities_target} INTERFACE)
+target_include_directories(${ign_utilities_target}
+  INTERFACE
+    $<INSTALL_INTERFACE:${IGN_INCLUDE_INSTALL_DIR_FULL}>
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>)
+
+# Export and install the interface target
+install(
+  TARGETS ${ign_utilities_target}
+  EXPORT ${ign_utilities_target}
+  COMPONENT interface)
+
+export(
+  EXPORT ${ign_utilities_target}
+  FILE ${ign_utilities_target_output_filename}
+  NAMESPACE ${PROJECT_EXPORT_NAME}::)
+
+install(
+  EXPORT ${ign_utilities_target}
+  DESTINATION ${ign_config_install_dir}
+  FILE ${ign_utilities_target_output_filename}
+  NAMESPACE ${PROJECT_EXPORT_NAME}::)
+
+# Install the header directory
+# Note: The trailing slash after "include" is necessary
+install(
+  DIRECTORY include/
+  DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL}
+  COMPONENT headers)
 
 #============================================================================
 # Install the files for this package
@@ -85,27 +152,27 @@
   #============================================================================
   # Build examples
   #============================================================================
-  # find_package expects cmakeN (e.g. cmake0, cmake1, ... depending on the major version of ign-cmake)
-  # to be in the build folder because that is where the ignition-cmake-config.cmake file is located
-  # before it is installed
-  if (UNIX)
-    # make a symlink on unix
-    execute_process(
-      COMMAND
-        ${CMAKE_COMMAND} -E create_symlink ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_BINARY_DIR}/cmake${PROJECT_VERSION_MAJOR})
-  else()
-    # otherwise copy the files one by one
-    # use configure_file(... COPYONLY) since it will run again if files change
-    foreach (filename ${modules} ${templates})
-      get_filename_component(file ${filename} NAME)
-      configure_file(${filename} ${CMAKE_BINARY_DIR}/cmake${PROJECT_VERSION_MAJOR}/${file} COPYONLY)
-    endforeach()
-    foreach (filename ${pkgconfig_templates})
-      get_filename_component(file ${filename} NAME)
-      configure_file(${filename} ${CMAKE_BINARY_DIR}/cmake${PROJECT_VERSION_MAJOR}/pkgconfig/${file} COPYONLY)
-    endforeach()
-  endif()
+  # Do a fake install of ign-cmake in order to test the examples.
+  # Copy or symlink the config.cmake files and cmake folder
+  set(FAKE_BUILD_DIRECTORY "${CMAKE_BINARY_DIR}/fake/build")
+  set(FAKE_INSTALL_PREFIX "${CMAKE_BINARY_DIR}/fake/install")
+
+  file(MAKE_DIRECTORY ${FAKE_BUILD_DIRECTORY})
+  file(MAKE_DIRECTORY ${FAKE_INSTALL_PREFIX})
+
+  include(ExternalProject)
+  ExternalProject_Add(
+    FAKE_INSTALL
+
+    SOURCE_DIR "${CMAKE_SOURCE_DIR}"
+    # BUILD_ALWAYS needed since cmake doesn't notice when
+    # example files change.
+    # See alternate approach in a2113e0997c9 if this becomes too slow
+    BUILD_ALWAYS 1
+    CMAKE_ARGS
+      "-DBUILD_TESTING=OFF"
+      "-DCMAKE_INSTALL_PREFIX=${FAKE_INSTALL_PREFIX}"
+  )
+
   add_subdirectory(examples)
 endif()
-
-add_subdirectory(doc)

=== examples/CMakeLists.txt ===
include(ExternalProject)

# test multiple build types
set(build_types Release RelWithDebInfo Debug)
find_program(EXAMPLE_LCOV_PATH lcov)
if (NOT WIN32 AND EXAMPLE_LCOV_PATH)
  list(APPEND build_types Coverage)
endif()

set(example_directories
  ign_conf
  prerelease
  core_nodep
  core_child
  comp_deps
  )
if (NOT CMAKE_GENERATOR MATCHES "Visual Studio")
  list(APPEND example_directories
    use_component_depsA
    use_component_depsB
    use_component_depsC
  )
endif()

# test to see if we have programs necessary to run codecheck
include(IgnCodeCheck)
ign_setup_target_for_codecheck()

foreach(example ${example_directories})
  set(run_codecheck false)
  if (${example} STREQUAL "ign_conf")
    set(example_tarball_name ignition-minimal-0.1.0.tar.bz2)
  elseif (${example} STREQUAL "prerelease")
    set(example_tarball_name ignition-minimal-1.0.0~pre1.tar.bz2)
  elseif (${example} STREQUAL "core_nodep")
    set(example_tarball_name ignition-core_no_deps-0.1.0.tar.bz2)
    set(run_codecheck true)
  elseif (${example} STREQUAL "core_child")
    set(example_tarball_name ignition-core_child-0.1.0.tar.bz2)
    set(run_codecheck true)
  elseif (${example} STREQUAL "comp_deps")
    set(example_tarball_name ignition-component_deps-0.1.0.tar.bz2)
  elseif (${example} STREQUAL "use_component_depsA")
    set(example_tarball_name ignition-use_component_depsa-0.1.0.tar.bz2)
  elseif (${example} STREQUAL "use_component_depsB")
    set(example_tarball_name ignition-use_component_depsb-0.1.0.tar.bz2)
  elseif (${example} STREQUAL "use_component_depsC")
    set(example_tarball_name ignition-use_component_depsc-0.1.0.tar.bz2)
  else()
    set(example_tarball_name)
  endif()

  foreach (build_type ${build_types})
    set(TEST_NAME ${example}_${build_type})
    string(TIMESTAMP TEST_TIME)
    configure_file(
      "${CMAKE_CURRENT_SOURCE_DIR}/junit_pass.xml.in"
      "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}_pass.xml"
      @ONLY)
    configure_file(
      "${CMAKE_CURRENT_SOURCE_DIR}/junit_fail.xml.in"
      "${CMAKE_CURRENT_BINARY_DIR}/test_results/${TEST_NAME}.xml"
      @ONLY)
    set(example_INSTALL_DIR ${CMAKE_BINARY_DIR}/install/${build_type})
    ExternalProject_Add(
      ${TEST_NAME}

      DEPENDS FAKE_INSTALL
      SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/${example}"
      # BUILD_ALWAYS needed since cmake doesn't notice when
      # example files change.
      # See alternate approach in a2113e0997c9 if this becomes too slow
      BUILD_ALWAYS 1
      CMAKE_ARGS
        "-DCMAKE_PREFIX_PATH=${FAKE_INSTALL_PREFIX};${example_INSTALL_DIR}"
        "-DCMAKE_BUILD_TYPE=${build_type}"
        "-DCMAKE_INSTALL_PREFIX=${example_INSTALL_DIR}"
      TEST_COMMAND
        ${CMAKE_COMMAND} -E copy
        "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}_pass.xml"
        "${CMAKE_CURRENT_BINARY_DIR}/test_results/${TEST_NAME}.xml"
    )
    if (${run_codecheck} AND TARGET codecheck)
      if(CMAKE_GENERATOR MATCHES "Unix Makefiles")
        ExternalProject_Add_Step(
          ${TEST_NAME}
          codecheck
          COMMAND
            $(MAKE) -C <BINARY_DIR> codecheck
          DEPENDEES
            configure
        )
      else()
        ExternalProject_Add_Step(
          ${TEST_NAME}
          codecheck
          COMMAND
            ${CMAKE_COMMAND} --build <BINARY_DIR> --target codecheck
          DEPENDEES
            configure
        )
      endif()
    endif()
    if (CPACK_GENERATOR)
      if(CMAKE_GENERATOR MATCHES "Unix Makefiles")
        ExternalProject_Add_Step(
          ${TEST_NAME}
          package_source
          COMMAND
            $(MAKE) -C <BINARY_DIR> package_source
          DEPENDEES
            configure
        )
      else()
        ExternalProject_Add_Step(
          ${TEST_NAME}
          package_source
          COMMAND
            ${CMAKE_COMMAND} --build <BINARY_DIR> --target package_source
          DEPENDEES
            configure
        )
      endif()

      ExternalProject_Add_Step(
        ${TEST_NAME}
        test_tarball_name
        COMMAND
          ${CMAKE_COMMAND} -E tar tf <BINARY_DIR>/${example_tarball_name}
        DEPENDEES
          package_source
        DEPENDERS
          test
      )
    endif()
    add_test(
      ${TEST_NAME}
      ${CMAKE_COMMAND} -E copy
      "${CMAKE_CURRENT_BINARY_DIR}/test_results/${TEST_NAME}.xml"
      "${CMAKE_BINARY_DIR}/test_results/${TEST_NAME}.xml"
    )
  endforeach()

endforeach()

# dependencies between external projects
# hard to use DEPENDS in ExternalProject_Add because targets
# need to exist before they can be used there
foreach (build_type ${build_types})
  add_dependencies(core_child_${build_type} core_nodep_${build_type})
  if (TARGET use_component_depsA_${build_type})
    add_dependencies(use_component_depsA_${build_type} comp_deps_${build_type})
  endif()
  if (TARGET use_component_depsB_${build_type})
    add_dependencies(use_component_depsB_${build_type} comp_deps_${build_type})
  endif()
  if (TARGET use_component_depsC_${build_type})
    add_dependencies(use_component_depsC_${build_type} comp_deps_${build_type})
  endif()
endforeach()

# test that core_child pkg-config file requires core_nodep
if (UNIX)
  set(TEST_NAME core_child_requires_core_nodep)
  string(TIMESTAMP TEST_TIME)
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/junit_pass.xml.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}_pass.xml"
    @ONLY)
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/junit_fail.xml.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}_fail.xml"
    @ONLY)
  set(_env_vars)
  list(APPEND _env_vars "PKG_CONFIG_PATH=${example_INSTALL_DIR}/lib/pkgconfig:${FAKE_INSTALL_PREFIX}/lib/pkgconfig:$PKG_CONFIG_PATH")
  add_test(${TEST_NAME}
    ${CMAKE_CURRENT_SOURCE_DIR}/test_core_child_requires_core_no_deps.bash
  )
  set_tests_properties(${TEST_NAME} PROPERTIES
    ENVIRONMENT "${_env_vars}")
endif()

=== debian/changelog ===
ignition-cmake (2.2.0-4) unstable; urgency=medium

  * Team upload.
  * Convert to arch all

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Apr 2020 12:04:15 +0200

ignition-cmake (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:29:22 +0200

ignition-cmake (2.2.0-2) experimental; urgency=medium

  * Team upload.
  * Update d/watch to Github
  * Drop ruby-ronn (Closes: #903284)
  * Drop python2 (Closes: #936725)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:22:03 +0200

ignition-cmake (2.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.2.0
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 14 Apr 2020 19:02:13 +0200

ignition-cmake2 (2.1.1+dfsg-3) unstable; urgency=medium

  * Fix install file. Closes: #947441

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Jan 2020 15:52:30 +0000

ignition-cmake2 (2.1.1+dfsg-2) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Use Comment tag in copyright
  * Do not to repack sources, tar.gz2 preferred

  [ Jochen Sprickerhof ]
  * Simplify comment in d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 25 Dec 2019 22:33:23 +0100

ignition-cmake2 (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.1.1
    (Closes: #944539)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Nov 2019 15:46:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,24 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                libjs-mathjax,
                libgtest-dev,
-               python,
-               ruby-ronn
-Standards-Version: 4.2.1
+               pkg-config,
+               python3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-cmake
 Vcs-Git: https://salsa.debian.org/science-team/ignition-cmake.git
-Homepage: http://ignitionrobotics.org/libraries/cmake
+Rules-Requires-Root: no
+Homepage: https://ignitionrobotics.org/libs/cmake
 
 Package: libignition-cmake-dev
-Architecture: any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}
+Replaces: libignition-cmake2-dev (<< 2.2.0-1)
+Breaks: libignition-cmake2-dev (<< 2.2.0-1)
 Description: Ignition Robotics CMake Library - Development files
  CMake modules to be used by the Ignition projects.
  .

## ignition-cmake 2.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-cmake2 VERSION 2.2.0)
+project(ignition-cmake2 VERSION 2.6.2)
 
 #--------------------------------------
 # Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake
@@ -21,6 +21,10 @@
 #--------------------------------------
 # Set up the project
 ign_configure_project()
+
+#--------------------------------------
+# Set project-specific options
+option(BUILDSYSTEM_TESTING "Enable extended buildsystem testing" FALSE)
 
 #--------------------------------------
 # Install the ignition documentation files
@@ -148,7 +152,9 @@
 include(CTest)
 if (BUILD_TESTING)
   add_subdirectory(test)
-
+endif()
+
+if (BUILD_TESTING AND BUILDSYSTEM_TESTING)
   #============================================================================
   # Build examples
   #============================================================================
@@ -176,3 +182,24 @@
 
   add_subdirectory(examples)
 endif()
+
+# Codecheck
+set(CPPCHECK_DIRS
+  ${CMAKE_SOURCE_DIR}/examples
+)
+set(CPPCHECK_INCLUDE_DIRS
+  ${CMAKE_SOURCE_DIR}/include
+  ${CMAKE_SOURCE_DIR}/examples
+)
+set(IGNITION_CMAKE_CODECHECK_DIR "${CMAKE_CURRENT_SOURCE_DIR}/codecheck")
+include(IgnCodeCheck)
+ign_setup_target_for_codecheck()
+
+# Docs
+set(IGNITION_CMAKE_DOXYGEN_DIR "${CMAKE_CURRENT_SOURCE_DIR}/doc/doxygen")
+configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
+configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)
+ign_create_docs(
+  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
+  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
+  )

=== debian/changelog ===
ignition-cmake (2.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.6.2

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 22 Jan 2021 12:03:25 +0100

ignition-cmake (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.6.1
  * Bump Standards-Version to 4.5.1 (no changes)
  * Bump debhelper compat to 13 (no changes)
  * Set proper hashbang for installed Python scripts

 -- Timo Röhling <timo@gaussglocke.de>  Tue, 15 Dec 2020 17:42:26 +0100

ignition-cmake (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Do not override unit test default timeout.
    On some buildd machines, 240 seconds is too short for the example build
    test of ignition-math. The default value (1500 seconds) is fine.

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 26 Nov 2020 12:04:16 +0100

ignition-cmake (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Sep 2020 19:21:59 +0000

## ignition-cmake 2.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-cmake2 VERSION 2.6.2)
+project(ignition-cmake2 VERSION 2.7.0)
 
 #--------------------------------------
 # Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake
@@ -20,7 +20,7 @@
 
 #--------------------------------------
 # Set up the project
-ign_configure_project()
+ign_configure_project(VERSION_SUFFIX)
 
 #--------------------------------------
 # Set project-specific options
@@ -56,6 +56,7 @@
 set(ign_config_install_dir "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${PROJECT_NAME_LOWER}")
 set(ign_pkgconfig_input "${CMAKE_CURRENT_SOURCE_DIR}/config/ignition-cmake.pc.in")
 set(ign_pkgconfig_output "${CMAKE_BINARY_DIR}/ignition-cmake${PROJECT_VERSION_MAJOR}.pc")
+set(ign_pkgconfig_install_dir "${IGN_LIB_INSTALL_DIR}/pkgconfig")
 set(ign_utilities_target ${PROJECT_EXPORT_NAME}-utilities)
 set(ign_utilities_import_target_name ${PROJECT_EXPORT_NAME}::${ign_utilities_target})
 set(ign_utilities_target_output_filename "${ign_utilities_target}-targets.cmake")
@@ -86,11 +87,16 @@
 
 #--------------------------------------
 # Configure and install the pkgconfig file (needed for utilities headers)
+file(RELATIVE_PATH
+  IGN_PC_CONFIG_RELATIVE_PATH_TO_PREFIX
+  "${CMAKE_INSTALL_PREFIX}/${ign_pkgconfig_install_dir}"
+  "${CMAKE_INSTALL_PREFIX}"
+)
 configure_file(${ign_pkgconfig_input} ${ign_pkgconfig_output} @ONLY)
 
 install(
   FILES ${ign_pkgconfig_output}
-  DESTINATION ${IGN_LIB_INSTALL_DIR}/pkgconfig
+  DESTINATION ${ign_pkgconfig_install_dir}
   COMPONENT pkgconfig)
 
 #============================================================================

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
   prerelease
   core_nodep
   core_child
+  core_child_private
   comp_deps
   )
 if (NOT CMAKE_GENERATOR MATCHES "Visual Studio")
@@ -21,10 +22,6 @@
     use_component_depsC
   )
 endif()
-
-# test to see if we have programs necessary to run codecheck
-include(IgnCodeCheck)
-ign_setup_target_for_codecheck()
 
 foreach(example ${example_directories})
   set(run_codecheck false)
@@ -37,6 +34,9 @@
     set(run_codecheck true)
   elseif (${example} STREQUAL "core_child")
     set(example_tarball_name ignition-core_child-0.1.0.tar.bz2)
+    set(run_codecheck true)
+  elseif (${example} STREQUAL "core_child_private")
+    set(example_tarball_name ignition-core_child_private-0.1.0.tar.bz2)
     set(run_codecheck true)
   elseif (${example} STREQUAL "comp_deps")
     set(example_tarball_name ignition-component_deps-0.1.0.tar.bz2)
@@ -148,6 +148,7 @@
 # need to exist before they can be used there
 foreach (build_type ${build_types})
   add_dependencies(core_child_${build_type} core_nodep_${build_type})
+  add_dependencies(core_child_private_${build_type} core_nodep_${build_type})
   if (TARGET use_component_depsA_${build_type})
     add_dependencies(use_component_depsA_${build_type} comp_deps_${build_type})
   endif()
@@ -160,6 +161,7 @@
 endforeach()
 
 # test that core_child pkg-config file requires core_nodep
+# and that core_child_private pkg-config file requires core_nodep privately
 if (UNIX)
   set(TEST_NAME core_child_requires_core_nodep)
   string(TIMESTAMP TEST_TIME)

=== examples/core_child/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-core_child VERSION 0.1.0)
find_package(ignition-cmake2 REQUIRED)
ign_configure_project()
ign_find_package(ignition-core_no_deps REQUIRED)
ign_configure_build(QUIT_IF_BUILD_ERRORS)
ign_create_packages()
ign_create_docs(TAGFILES "${IGNITION-CORE_NO_DEPS_DOXYGEN_TAGFILE} = ${IGNITION-CORE_NO_DEPS_API_URL}")

=== examples/core_child_private/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-core_child_private VERSION 0.1.0)
find_package(ignition-cmake2 REQUIRED)
ign_configure_project()
ign_find_package(ignition-core_no_deps PRIVATE REQUIRED)
ign_configure_build(QUIT_IF_BUILD_ERRORS)
ign_create_packages()
ign_create_docs(TAGFILES "${IGNITION-CORE_NO_DEPS_DOXYGEN_TAGFILE} = ${IGNITION-CORE_NO_DEPS_API_URL}")

=== examples/ign_conf/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-minimal0 VERSION 0.1.0)
find_package(ignition-cmake2 REQUIRED)
ign_configure_project()
ign_configure_build(QUIT_IF_BUILD_ERRORS)

=== examples/comp_deps/child/CMakeLists.txt ===

ign_add_component(child INTERFACE
  DEPENDS_ON_COMPONENTS parent
  GET_TARGET_NAME child)

target_link_libraries(${child}
  INTERFACE
    ${PROJECT_LIBRARY_TARGET_NAME}-parent)

install(
  DIRECTORY include/
  DESTINATION "${IGN_INCLUDE_INSTALL_DIR_FULL}")

=== examples/comp_deps/parent/CMakeLists.txt ===

ign_add_component(parent INTERFACE
  GET_TARGET_NAME parent)

install(
  DIRECTORY include/
  DESTINATION "${IGN_INCLUDE_INSTALL_DIR_FULL}")

=== examples/find_ogre2/ogre-2.2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-ogre-2.2 VERSION 0.1.0)

find_package(ignition-cmake2 REQUIRED)

message(STATUS "Finding OGRE 2.2")

ign_find_package(IgnOGRE2 VERSION 2.2.0
    COMPONENTS HlmsPbs HlmsUnlit Overlay)

message(STATUS "OGRE2_FOUND: " ${OGRE2_FOUND})
message(STATUS "OGRE2_LIBRARIES: " ${OGRE2_LIBRARIES})
message(STATUS "OGRE2_INCLUDE_DIRS: " ${OGRE2_INCLUDE_DIRS})
message(STATUS "OGRE2_VERSION: " ${OGRE2_VERSION})
message(STATUS "OGRE2_VERSION_MAJOR: " ${OGRE2_VERSION_MAJOR})
message(STATUS "OGRE2_VERSION_MINOR: " ${OGRE2_VERSION_MINOR})
message(STATUS "OGRE2_VERSION_PATCH: " ${OGRE2_VERSION_PATCH})
message(STATUS "OGRE2_RESOURCE_PATH: " ${OGRE2_RESOURCE_PATH})

=== debian/changelog ===
ignition-cmake (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 30 Apr 2021 16:03:07 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libjs-mathjax,
                libgtest-dev,
                pkg-config,
                python3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-cmake
 Vcs-Git: https://salsa.debian.org/science-team/ignition-cmake.git
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_auto_install


override_dh_auto_install:
	# Remove artifacts installed by testing
	dh_auto_install
	find . -type d -name install | xargs rm -rf
	find . -type d -empty -delete

%:
	dh $@ --buildsystem=cmake

=== debian/tests/control ===
Tests: build
Depends: libignition-cmake-dev, cmake, g++, pkg-config

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/ignitionrobotics/ign-cmake/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz

## ignition-cmake 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-cmake2 VERSION 2.7.0)
+project(ignition-cmake2 VERSION 2.8.0)
 
 #--------------------------------------
 # Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake
@@ -43,6 +43,10 @@
 install(DIRECTORY codecheck/
         DESTINATION ${IGN_DATA_INSTALL_DIR}/codecheck)
 
+#--------------------------------------
+# Install the tools files
+install(DIRECTORY tools/
+        DESTINATION ${IGN_DATA_INSTALL_DIR}/tools)
 
 #============================================================================
 # Configure the package to be installed

## ignition-cmake 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-cmake2 VERSION 2.8.0)
+project(ignition-cmake2 VERSION 2.10.0)
 
 #--------------------------------------
 # Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 include(ExternalProject)
+include(GNUInstallDirs)
 
 # test multiple build types
 set(build_types Release RelWithDebInfo Debug)
@@ -9,6 +10,7 @@
 
 set(example_directories
   ign_conf
+  no_ignition_prefix
   prerelease
   core_nodep
   core_child
@@ -27,6 +29,8 @@
   set(run_codecheck false)
   if (${example} STREQUAL "ign_conf")
     set(example_tarball_name ignition-minimal-0.1.0.tar.bz2)
+  elseif (${example} STREQUAL "no_ignition_prefix")
+    set(example_tarball_name no_ignition_prefix-0.1.0.tar.bz2)
   elseif (${example} STREQUAL "prerelease")
     set(example_tarball_name ignition-minimal-1.0.0~pre1.tar.bz2)
   elseif (${example} STREQUAL "core_nodep")
@@ -174,7 +178,16 @@
     "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}_fail.xml"
     @ONLY)
   set(_env_vars)
-  list(APPEND _env_vars "PKG_CONFIG_PATH=${example_INSTALL_DIR}/lib/pkgconfig:${FAKE_INSTALL_PREFIX}/lib/pkgconfig:$PKG_CONFIG_PATH")
+  # On Debian and if the install prefix is /usr, the default CMAKE_INSTALL_LIBDIR of this project
+  # as set by GNUInstallDirs will be different from the one of the example project, 
+  # so let's hardcode it in that case
+  if(EXISTS "/etc/debian_version" AND "${CMAKE_INSTALL_PREFIX}" MATCHES "^/usr/?$")
+    set(example_PKGCONFIG_INSTALL_LIBDIR "lib/pkgconfig")
+  else()
+    set(example_PKGCONFIG_INSTALL_LIBDIR "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
+  endif()
+
+  list(APPEND _env_vars "PKG_CONFIG_PATH=${example_INSTALL_DIR}/${example_PKGCONFIG_INSTALL_LIBDIR}:${FAKE_INSTALL_PREFIX}/${example_PKGCONFIG_INSTALL_LIBDIR}:$PKG_CONFIG_PATH")
   add_test(${TEST_NAME}
     ${CMAKE_CURRENT_SOURCE_DIR}/test_core_child_requires_core_no_deps.bash
   )

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -7,3 +7,5 @@
     ${CMAKE_BINARY_DIR}/test_results
   )
 endif()
+
+add_subdirectory(warning)

=== examples/comp_deps/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-component_deps VERSION 0.1.0)
find_package(ignition-cmake2 REQUIRED)
ign_configure_project()
ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS child parent)
ign_create_packages()
ign_create_docs()

=== examples/prerelease/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-minimal1 VERSION 1.0.0)
find_package(ignition-cmake2 REQUIRED)
ign_configure_project(VERSION_SUFFIX pre1)
ign_configure_build(QUIT_IF_BUILD_ERRORS)

=== examples/use_component_depsA/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-use_component_depsA VERSION 0.1.0)
find_package(ignition-cmake2 REQUIRED)
ign_configure_project()
ign_find_package(ignition-component_deps REQUIRED COMPONENTS parent child)
ign_configure_build(QUIT_IF_BUILD_ERRORS)
ign_create_packages()
ign_create_docs()

=== test/warning/CMakeLists.txt ===

ign_get_sources(tests)

foreach(test ${tests})

  get_filename_component(name ${test} NAME_WE)
  set(name WARNING_${name})

  add_executable(${name} ${test})
  target_link_libraries(${name} ${PROJECT_EXPORT_NAME}-utilities)
  set_property(TARGET ${name} PROPERTY CXX_STANDARD 11)

  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU"
      OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")

    target_compile_options(${name} PRIVATE "-Wall" "-Werror")

  elseif(MSVC)

    target_compile_options(${name} PRIVATE "/W4" "/WX" "/we4265" "/EHsc")

  endif()

endforeach()

=== examples/comp_deps/src/CMakeLists.txt ===
ign_get_libsources_and_unittests(sources gtest_sources)

ign_create_core_library(SOURCES ${sources})

=== examples/core_child_private/src/CMakeLists.txt ===
ign_get_libsources_and_unittests(sources gtest_sources)
ign_create_core_library(SOURCES ${sources} CXX_STANDARD 11)
target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PRIVATE
    ignition-core_no_deps::ignition-core_no_deps)
ign_build_tests(TYPE UNIT SOURCES ${gtest_sources})

=== examples/no_ignition_prefix/include/CMakeLists.txt ===
add_subdirectory(no_ign)

=== debian/changelog ===
ignition-cmake (2.10.0-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add pkg-config depends, needed for Find*.cmake
  * Bump policy versions (no changes)
  * Drop old Replaces/Breaks (version not in archive)
  * Bump copyright
  * Drop gitlab-ci

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Feb 2022 14:18:37 +0000

ignition-cmake (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 28 Jan 2022 15:59:03 +0000

ignition-cmake (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 06 Oct 2021 15:34:38 +0000

ignition-cmake (2.8.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 23 Aug 2021 15:01:30 +0000

ignition-cmake (2.8.0-1) experimental; urgency=medium

  * Update patch to keep same behaviour
  * Missing field in copyright. Fix Upstream-Name
  * New upstream version 2.8.0
  * Update patches to new version
  * Remove buildsystem=cmake from rules

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Jun 2021 14:37:52 +0000
